﻿@using RailwayCashBox.Models
@model RailwayCashBox.Models.LoginViewModel
@{
    ViewBag.Title = "Войти";
}

<h2>@ViewBag.Title</h2>
<div class="row">
    <div class="col-md-8">
        <section id="loginForm">
            @using (Html.BeginForm("Login", "Account", new {ViewBag.ReturnUrl}, FormMethod.Post, new {@class = "form-horizontal", role = "form"}))
            {
                @Html.AntiForgeryToken()
                <hr/>
                @Html.ValidationSummary(true, "", new {@class = "text-danger"})
                <div class="form-group">
                    <p class="col-md-3 control-label">Имя пользователя</p>
                    <div class="col-md-8">
                        @Html.TextBoxFor(m => m.UserName, new {@class = "form-control"})
                        @Html.ValidationMessageFor(m => m.UserName, "", new {@class = "text-danger"})
                    </div>
                </div>
                <div class="form-group">
                    <p class="col-md-3 control-label">Пароль</p>
                    <div class="col-md-8">
                        @Html.PasswordFor(m => m.Password, new {@class = "form-control"})
                        @Html.ValidationMessageFor(m => m.Password, "", new {@class = "text-danger"})
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-3 col-md-8">
                        <div class="checkbox">
                            @Html.CheckBoxFor(m => m.RememberMe)
                            @Html.LabelFor(m => m.RememberMe)
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-3 col-md-8">
                        <input type="submit" value="Войти" class="btn btn-default"/>
                    </div>
                </div>
                <p>
                    @Html.ActionLink("Зарегистрироваться", "Register")
                </p>
 
            }
        </section>
    </div>
    <div class="col-md-4">
        <section id="socialLoginForm">
        </section>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}